@import "variables";

$pulse-shadow-spread-blur: 40px;
$pulse-shadow-spread-color: $gray-400;

@-webkit-keyframes pulse {
  0% {
    -webkit-box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0.9);
  }
  70% {
    -webkit-box-shadow: $pulse-shadow-spread-blur $pulse-shadow-spread-blur rgba($pulse-shadow-spread-color, 0);
  }
  100% {
    -webkit-box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0);
  }
}

@keyframes pulse {
  0% {
    -moz-box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0.9);
    box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0.9);
  }
  70% {
    -moz-box-shadow: 0 0 $pulse-shadow-spread-blur rgba($pulse-shadow-spread-color, 0);
    box-shadow: 0 0 $pulse-shadow-spread-blur $pulse-shadow-spread-blur rgba($pulse-shadow-spread-color, 0);
  }
  100% {
    -moz-box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0);
    box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0);
  }
}


.play {
  &.playing-track-wrapper {
    width: 100%;
    max-width: 700px;
  }

  &.playing-buttons-wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    background-color: $gray-100;
    padding-bottom: 25px;

  }

  &.playing-button {
    margin: 0 2.5px;
  }

  &.playing-track {
    display: flex;
    justify-content: center;
    flex-direction: row;
    width: 100%;

    flex-basis: 100%;
    background-color: $gray-100;
    margin: 0 auto;
  }

  &.playing-track-image-wrapper {
    flex-basis: 80%;
    min-height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;

    @include media-breakpoint-down(sm) {
      min-height: 200px;
    }
  }

  &.playing-track-image {
    height: 300px;
    width: 300px;
    border-radius: 50%;

    &.playing {
      box-shadow: 0 0 15px 15px black;
      animation: pulse 1.5s infinite;
      z-index: 1;
    }

    @include media-breakpoint-down(sm) {
      height: 180px;
      width: 180px;
    }
  }

  &.playing-track-button {
    flex-basis: 10%;
    display: flex;
    flex-direction: column;
    justify-content: center;

    button {
      display: inline-flex;
      border-radius: 50%;
      padding: 30px;
    }
  }

  &.playing-description-wrapper {
    margin: -10px -10px 0;
    height: 100px;
    border: 1px solid black;
    background-color: white;

    padding: 15px;

    &:before {
      content: ' ';
      position: absolute;
      width: 0;
      height: 0;
      left: 5px;
      top: -14px;

      border-width: 2px 5px;
      border-style: solid;

      border-color: transparent black black transparent;
    }

    &:after {
      content: ' ';
      position: absolute;
      width: 0;
      height: 0;
      left: calc(100% - 15px);
      top: -14px;

      border-width: 2px 5px;
      border-style: solid;

      border-color: transparent transparent black black;
    }
  }
}